Bug 447834 - Invalid Group Name - Backtrace
Invalid Group Name - Backtrace
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 21:39 EDT by Nigel Jones
Modified: 2014-01-21 18:03 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.2.16-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 15:06:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nigel Jones 2008-05-21 21:39:21 EDT
I know it's a case of silly me, but yum under F9 (3.2.14-10.fc9) backtraces when
I try "groupinstall <invalid group name>".  If you need anything else, just let
me know.

[root@localhost ~]# yum groupinstall @virtualization
Loaded plugins: refresh-packagekit
Setting up Group Process
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 241, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 116, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 311, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 327, in doCommand
    return base.installGroups(extcmds)
  File "/usr/share/yum-cli/cli.py", line 859, in installGroups
    self.logger.error(_('Warning: Group %s does not exist.'), group_strng)
NameError: global name 'group_strng' is not defined
Comment 1 Seth Vidal 2008-05-27 15:06:12 EDT
This is fixed in yum 3.2.16-2 just/soon pushed to updates-released

Note You need to log in before you can comment on or make changes to this bug.